---
title: retrieves-a-list-of-all-the-log-drains-deprecated
product: vercel
url: /docs/rest-api/logdrains/retrieves-a-list-of-all-the-log-drains-deprecated
canonical_url: "https://vercel.com/docs/rest-api/logdrains/retrieves-a-list-of-all-the-log-drains-deprecated"
last_updated: 2026-09-19
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about retrieves-a-list-of-all-the-log-drains-deprecated on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Retrieves a list of all the Log Drains (deprecated)

```http
GET /v1/log-drains
```

Retrieves a list of all the Log Drains owned by the account. This endpoint must be called with an account AccessToken (integration OAuth2 clients are not allowed). Only log drains owned by the authenticated account can be accessed.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectId` | string. pattern: `^[a-zA-z0-9_]+$` | No |  |
| `projectIdOrName` | string | No |  |
| `includeMetadata` | boolean. default: false | No |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v1/log-drains?projectId=string&projectIdOrName=string&includeMetadata=true&teamId=string&slug=string', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v1/log-drains?projectId=string&projectIdOrName=string&includeMetadata=true&teamId=string&slug=string', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X GET 'https://api.vercel.com/v1/log-drains?projectId=string&projectIdOrName=string&includeMetadata=true&teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
[
  {
    "clientId": "example_id",
    "configurationId": "example_id",
    "createdFrom": "string",
    "integrationConfigurationUri": "https://example.com",
    "integrationIcon": "string",
    "integrationWebsite": "string",
    "projectsMetadata": [
      {
        "framework": "actix-web",
        "id": "icfg_1234567890",
        "latestDeployment": "string",
        "name": "Example Name"
      }
    ]
  }
]
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "oneOf": [
    {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "createdFrom"
        ],
        "properties": {
          "clientId": {
            "type": "string"
          },
          "configurationId": {
            "type": "string"
          },
          "createdFrom": {
            "type": "string"
          },
          "integrationConfigurationUri": {
            "type": "string"
          },
          "integrationIcon": {
            "type": "string"
          },
          "integrationWebsite": {
            "type": "string"
          },
          "projectsMetadata": {
            "type": "array",
            "nullable": true
          }
        }
      }
    },
    {
      "type": "object",
      "required": [
        "drains"
      ],
      "properties": {
        "drains": {
          "oneOf": [
            {
              "type": "array"
            },
            {
              "type": "array"
            }
          ]
        }
      }
    }
  ]
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

---

## Related

- [logDrains endpoints](/docs/rest-api#logdrains)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
